﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Syncfusion.Windows.Tools.Controls;
using System.Windows.Interactivity;
using Syncfusion.Windows.Shared;
using System.Collections.ObjectModel;
using DockingManager.ViewModel;

namespace DockingManager
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : ChromelessWindow
    {
        public MainWindowViewModel MyViewModel { get; set; }

        public MainWindow()
        {
            InitializeComponent();
            MyViewModel = new MainWindowViewModel();
           this.DataContext = MyViewModel;
        }
    }
    public class DocumentContainerStateChangebehavior : Behavior<DocumentContainer>
    {
        protected override void OnAttached()
        {
            base.OnAttached();
            AssociatedObject.DocumentClosing += AssociatedObject_DocumentClosing;
        }

        private void AssociatedObject_DocumentClosing(object sender, CancelingRoutedEventArgs e)
        {
            MessageBoxResult result = MessageBox.Show("close?", "Warning", MessageBoxButton.OKCancel);
            if (result != MessageBoxResult.OK)
            {
                e.Cancel = true;
            }

        }
    }

}
